# Uses of Interface
org.eclipse.emf.cdo.lm.LMPackage

Packages that use LMPackage
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.

## Uses of LMPackage in org.eclipse.emf.cdo.lm

Fields in org.eclipse.emf.cdo.lm declared as LMPackage
Modifier and Type
Field
Description
`static final LMPackage`
LMPackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.emf.cdo.lm that return LMPackage
Modifier and Type
Method
Description
`LMPackage`
LMFactory.`getLMPackage()`
Returns the package supported by this factory.

## Uses of LMPackage in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement LMPackage
Modifier and Type
Class
Description
`class`
`LMPackageImpl`
An implementation of the model Package.
Methods in org.eclipse.emf.cdo.lm.impl that return LMPackage
Modifier and Type
Method
Description
`LMPackage`
LMFactoryImpl.`getLMPackage()`
`static LMPackage`
LMFactoryImpl.`getPackage()`
Deprecated.
`static LMPackage`
LMPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of LMPackage in org.eclipse.emf.cdo.lm.util

Fields in org.eclipse.emf.cdo.lm.util declared as LMPackage
Modifier and Type
Field
Description
`protected static LMPackage`
LMAdapterFactory.`modelPackage`
The cached model package.
`protected static LMPackage`
LMSwitch.`modelPackage`
The cached model package